---
title: "Create a short-lived private playback URL"
---

> Documentation Index
> Fetch the complete documentation index at: https://developer.channelautomations.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Channel Automation API › Conversations

`POST /api/field-sales/conversations/{id}/playback`

## Authentication

- `BearerAuth`, http, header `Authorization`, format `JWT`

## Code samples

### cURL

```bash
curl --request POST \
  --url https://api.channelautomation.com/api/field-sales/conversations/%7Bid%7D/playback \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.channelautomation.com/api/field-sales/conversations/%7Bid%7D/playback';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.channelautomation.com/api/field-sales/conversations/%7Bid%7D/playback"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
```

## Responses

### 200

Signed playback URL valid for 15 minutes


Source: https://developer.channelautomations.com/api/post-api-field-sales-conversations-id-playback/index.md
